/** Copyright © Institut für Qualitätsentwicklung an Schulen Schleswig-Holstein (IQSH)

SPDX-License-Identifier: AGPL-3.0-or-later
**/

body {
    font: 14px "Lucida Grande", Helvetica, Arial, sans-serif;
    -webkit-touch-callout: none !important;
}

/*#board {
    -webkit-touch-callout: none !important;
}

/*.topbar{
    min-height: 30px;
    height:100%;
    /*width: 100%;*/
    /*background: linear-gradient( rgba(0, 0, 0, 0.2), rgba(0, 0, 0, 0.2));*/
    /*border-bottom: solid 1px rgba(0, 0, 0, 0.2);
}

.topbar > * {
    font-weight: bold;
    color:rgb(73, 73, 73);
    padding-top:15px;
    padding-left:10px;
    padding-right:10px;
    padding-bottom:15px;
}*/

/* leader-line */
svg.leader-line {
    pointer-events: auto !important;
    z-index:0
}

svg.z-index-svg{
    z-index:1000;
}


/*.column {
    position: absolute;
    -webkit-overflow-scrolling: touch;
}*/


/*canvas, img, video {
    max-width: 100%;
    width: 100%;
    height: auto;
    box-sizing: border-box;
}*/


/** chromium / safari desktop scrollbar */
::-webkit-scrollbar {
    /*scroll-padding-left:10px;*/
    width: 10px;
    height: 15px;
    /*border-bottom: 1px solid #eee;
    border-top: 1px solid #eee;*/
}
::-webkit-scrollbar-thumb {
    border-radius: 8px;
    background-color: #C3C3C3;
    border: 2px solid #eee;
}
::-webkit-scrollbar-track {
    /*-webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.2);*/
}
/* firefox */
.scrollbar * {
    scrollbar-width:thin;
    scrollbar-color: #C3C3C3 transparent;
}

/** CREATOR **/
@media(max-width: 960px){
    .content-column{
        order:2;
    }
    
}
@media(max-width: 500px){
    .content-column{
        /*min-height:800px;*/
    }
    .summary-column{
        min-height: 550px;
    }
    
}

@media(min-width: 0px) AND (max-width: 640px){
    .content-column{
        min-height:700px
    }
    .summary-column{
        min-height: 550px;
    }
}

@media(min-width: 641px) AND (max-width: 800px){
    .content-column{
        /*min-height:750px*/
    }
    .summary-column{
        min-height: 550px;
    }
}

@media(min-width: 801px) AND (max-width: 960px){
    .content-column{
        min-height: 500px;
    }
    .summary-column{
        min-height: 550px;
    }
}


/** Vue Draggable Resizable additions **/
.vdr{
    position: absolute!important;
}

.handle-resize{    
    width: 10px;
    height: 10px;
    position:absolute;
    background: #eee;
    border: 1px solid #333;
}

.handle-resize-br {
    bottom: -5px;
    right: -5px;
    cursor: se-resize;
    background: transparent;
    border:0;
}

.handle-resize-mr {
    height: 100%;
    margin-top: -5px;
    right: -5px;
    cursor: e-resize;
    background: transparent;
    border:0;
}

/** export related **/
.export-column-header {
    page-break-inside: avoid;
}
.export-column-header::after {
    content: "";
    display: block;
    height: 100px;
    margin-bottom: -100px;
}

.noselect, .leader-line {
    -webkit-touch-callout: none; /* iOS Safari */
      -webkit-user-select: none; /* Safari */
       -khtml-user-select: none; /* Konqueror HTML */
         -moz-user-select: none; /* Old versions of Firefox */
          -ms-user-select: none; /* Internet Explorer/Edge */
              user-select: none; /* Non-prefixed version, currently
                                    supported by Chrome, Edge, Opera and Firefox */
}

/** fix for uikit overrides width of leaderline svg**/
.leader-line{
    max-width: none!important;
}
